#
# spec file for package withlock
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           withlock
Version:        0.5
Release:        3.6
Summary:        A locking wrapper script
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/poeml/withlock
Source0:        %{name}-%{version}.tar.gz
Patch0:         fix-use-python3.patch
Patch1:         withlock-0.5-fixboo864785.patch
Requires:       python3
BuildArch:      noarch

%description
withlock is a locking wrapper script to make sure that some program isn't run
more than once. It is ideal to prevent periodic jobs spawned by cron from
stacking up.

The locks created are valid only while the wrapper is running, and thus will
never require a cleanup, as after a reboot. Thus, the wrapper is safe and easy
to use, and much better than implementing half-hearted locking within scripts.

%prep
%autosetup -p1

%build
# nop

%install
install -D -m 0755 -t %{buildroot}%{_bindir}/ %{name}
install -D -m 0644 -t %{buildroot}%{_mandir}/man1/ %{name}.1

%files
%license LICENSE-2.0.txt
%doc README.md withlock.1.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Sun Jan  1 2023 Bernhard Wiedemann <bwiedemann@suse.com>
- Add withlock-0.5-fixboo864785.patch to fix concurrent locking (boo#864785)
* Thu Oct  3 2019 munix9@googlemail.com
- update to version 0.5 (bsc#1201336)
- modernize for Python 2 and 3 compatibility
  thanks to Patch by Jan Beran jberan|redhat.com
  (2.7 or newer; 0.4 for Python 2.4+2.5 is archived in attic/)
  Added: fix-use-python3.patch
* Mon Jun 15 2015 poeml@cmdline.net
- update to 0.4
- lockfile cleanup fix upstream (Thanks Martin Caj and Martin Vidner. Good
  Catch!) (cosmetical bug which didn't affect the locking strategy)
- man page added
- license file added
- use the now provided Makefile
- moved to github.com
* Thu Aug 14 2014 mcaj@suse.com
- I wrote a patch got-lock.patch to fix the trouble with the got-lock variable.
  I was testing the withlock and still had there the lock file after a
  program already end with exit code 0. I have look on the code together
  with our Python expert mvidner@suse.cz and we found the got-lock variable
  isn't marked ad global variable.I`ll send this to poeml@cmdline.net
  after we test it on our servers.
* Tue Mar 25 2014 poeml@cmdline.net
- update to 0.3
  * At exit, unlink the lock file only if a lock was actually obtained.
    When waiting for a lock (using -w option) and timing out, the file
    was removed nevertheless. Thanks Bernhard Wiedemann for finding this
    bug and providing such a good test case, so the fix was easy.
    See https://bugzilla.novell.com/show_bug.cgi?id=864785
* Mon Feb 10 2014 poeml@cmdline.net
- withlock is now distributed as a tarball, which is generally
  easier for packaging on some platforms (at least Solaris). The
  only other change: updated copyright year.
* Mon Aug 27 2012 cfarrell@suse.com
- license update: Apache-2.0
  SPDX format
* Thu Aug 23 2012 lars@linux-schulserver.de
- updated to svn revision 5 which updates the year of Copyright,
  fixes a typo and add an URL to project page to the comment header
- add project URL
- require python
- specfile cleanup
* Wed Nov 18 2009 lrupp@suse.de
- initial package, version 0.2
